#ifndef _EDITSPUPPLIER_H
#define _EDITSPUPPLIER_H

#include <QDialog>


namespace Ui {
class EditSupplier;
}

class EditSupplier : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditSupplier(int id, QWidget *parent = 0);
    ~EditSupplier();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();

private:
    Ui::EditSupplier *ui;
    int recno;
    bool textIsChanged = false;

    void WindowTitle();
};

#endif
